# ItemMergeEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.entity, class: ItemMergeEvent

Package org.bukkit.event.entity

# Class ItemMergeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.ItemMergeEvent

All Implemented Interfaces:
  `Cancellable`

public class ItemMergeEvent extends EntityEvent implements Cancellable

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`ItemMergeEvent(@NotNull Item item, @NotNull Item target)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Item`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Item`
`getTarget()`
Gets the Item entity the main Item is being merged into.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ItemMergeEvent

public ItemMergeEvent(@NotNull @NotNull Item item, @NotNull @NotNull Item target)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull Item getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getTarget

@NotNull public @NotNull Item getTarget()
Gets the Item entity the main Item is being merged into.

Returns:
  The Item being merged with

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()